Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2
Class XActClassDocumentEntryOrganizer

    java.lang.Object
      org.eclipse.emf.common.util.AbstractEnumerator
          org.eclipse.ohf.ihe.common.cdar2.XActClassDocumentEntryOrganizer

All Implemented Interfaces:
  org.eclipse.emf.common.util.Enumerator

    public final class XActClassDocumentEntryOrganizer

extends org.eclipse.emf.common.util.AbstractEnumerator

A representation of the literals of the enumeration 'XAct Class Document Entry Organizer', and utility methods for working with them. abstDomain: V19603 (C-0-D11527-V13856-V19603-cpt)

See Also:
  `CDAR2Package.getXActClassDocumentEntryOrganizer()`

Field Summary
`static int` | `BATTERY` The 'BATTERY' literal value.
`static XActClassDocumentEntryOrganizer` | `BATTERY_LITERAL` The 'BATTERY' literal object.
`static int` | `CLUSTER` The 'CLUSTER' literal value.
`static XActClassDocumentEntryOrganizer` | `CLUSTER_LITERAL` The 'CLUSTER' literal object.
`static java.util.List` | `VALUES` A public read-only list of all the 'XAct Class Document Entry Organizer' enumerators.

Method Summary
`static XActClassDocumentEntryOrganizer` | `get(int value)` Returns the 'XAct Class Document Entry Organizer' literal with the specified integer value.
`static XActClassDocumentEntryOrganizer` | `get(java.lang.String literal)` Returns the 'XAct Class Document Entry Organizer' literal with the specified literal value.
`static XActClassDocumentEntryOrganizer` | `getByName(java.lang.String name)` Returns the 'XAct Class Document Entry Organizer' literal with the specified name.

Methods inherited from class org.eclipse.emf.common.util.AbstractEnumerator
`getLiteral, getName, getValue, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### BATTERY

    public static final int BATTERY

  The 'BATTERY' literal value.

  If the meaning of 'BATTERY' literal object isn't clear, there really should be more of a description here...

  See Also:
    `BATTERY_LITERAL`, Constant Field Values

### CLUSTER

    public static final int CLUSTER

  The 'CLUSTER' literal value.

  If the meaning of 'CLUSTER' literal object isn't clear, there really should be more of a description here...

  See Also:
    `CLUSTER_LITERAL`, Constant Field Values

### BATTERY_LITERAL

    public static final XActClassDocumentEntryOrganizer BATTERY_LITERAL

  The 'BATTERY' literal object.

  See Also:
    `BATTERY`

### CLUSTER_LITERAL

    public static final XActClassDocumentEntryOrganizer CLUSTER_LITERAL

  The 'CLUSTER' literal object.

  See Also:
    `CLUSTER`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'XAct Class Document Entry Organizer' enumerators.

Method Detail

### get

    public static XActClassDocumentEntryOrganizer get(java.lang.String literal)

  Returns the 'XAct Class Document Entry Organizer' literal with the specified literal value.

### getByName

    public static XActClassDocumentEntryOrganizer getByName(java.lang.String name)

  Returns the 'XAct Class Document Entry Organizer' literal with the specified name.

### get

    public static XActClassDocumentEntryOrganizer get(int value)

  Returns the 'XAct Class Document Entry Organizer' literal with the specified integer value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD